Subject: bug#76854: closed (RE: Add tmux-sessionizer plug to Guix)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Apr 2025 15:53:02 +0000

Your bug report

#76854: [PATCH 0/7] gnu: Add tmux-sessionizer plugin.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
76854: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76854
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: RE: Add tmux-sessionizer plug to Guix
From: Steve George <[email-masked]>
To: [email-masked], Alex Bosco <[email-masked]>
Date: Mon, 7 Apr 2025 16:51:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Alex,

Thanks for contributing this package. I added them to the rust-team branch which will fold into master eventually:

https://git.savannah.gnu.org/cgit/guix.git/commit/?h=rust-team&id=99d1e68a9558a35018b22b21755c14e9518d6788

These were all pretty clean to apply, thank-you! One note for your commit messages the format is:

gnu: [Add|Update] <variable>

*/path/to/file (variable): [detail of change]

I think you weren't aware of the second line where you have to have the file path and the change. Anyway, no big deal - thanks for your efforts!

Futurile / Steve

Subject: [PATCH 0/7] gnu: Add tmux-sessionizer plugin.
From: Alex Bosco <[email-masked]>
To: [email-masked]
Cc: Alex Bosco <[email-masked]>
Date: Fri, 7 Mar 2025 23:40:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds the 'tmux-sessionizer' tmux plugin and its
dependencies.

Dependency tree:
tmux-sessionizer
1. ratatui-0.28
  a. octocrab-0.39
2. error-stack-0.5
  a. ansi-to-html-0.2
3. nucleo-0.5
  a. nucleo-matcher-0.3

Something to note is when using these as package definitions in my
personal config I didn't need to include 'rust-cov-mark' as an input
for rust-nucleo-matcher-0.3
but when building from the crates-io file I did.

Alex Bosco (7):
  gnu: Add rust-octocrab-0.39.
  gnu: Add rust-ratatui-0.28.
  gnu: Add rust-nucleo-matcher-0.3.
  gnu: Add rust-nucleo-0.5.
  gnu: Add rust-ansi-to-html-0.2.
  gnu: Add rust-error-stack-0.5.
  gnu: Add tmux-plugin-sessionizer.

 gnu/packages/crates-io.scm | 234 ++++++++++++++++++++++++++++++++++---
 gnu/packages/tmux.scm      |  59 +++++++++-
 2 files changed, 277 insertions(+), 16 deletions(-)

base-commit: 535efb3c9add7e32530aa0dced40b18b12b8ed95
-- 
2.48.1